/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.oauth2.provider.scope.internal.liferay;

import com.liferay.oauth2.provider.scope.liferay.LiferayOAuth2Scope;

import java.util.Objects;

import org.osgi.framework.Bundle;

/**
 * @author Carlos Sierra Andrés
 */
public class LiferayOAuth2ScopeImpl implements LiferayOAuth2Scope {

	public LiferayOAuth2ScopeImpl(
		String applicationName, Bundle bundle, String scope) {

		_applicationName = applicationName;
		_bundle = bundle;
		_scope = scope;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}

		if (!(obj instanceof LiferayOAuth2ScopeImpl)) {
			return false;
		}

		LiferayOAuth2ScopeImpl liferayOAuth2ScopeImpl =
			(LiferayOAuth2ScopeImpl)obj;

		if (Objects.equals(
				_applicationName, liferayOAuth2ScopeImpl._applicationName) &&
			Objects.equals(_bundle, liferayOAuth2ScopeImpl._bundle) &&
			Objects.equals(_scope, liferayOAuth2ScopeImpl._scope)) {

			return true;
		}

		return false;
	}

	@Override
	public String getApplicationName() {
		return _applicationName;
	}

	@Override
	public Bundle getBundle() {
		return _bundle;
	}

	@Override
	public String getScope() {
		return _scope;
	}

	@Override
	public int hashCode() {
		return Objects.hash(_applicationName, _bundle, _scope);
	}

	private final String _applicationName;
	private final Bundle _bundle;
	private final String _scope;

}